# Import the interface required by the Script snap.
from com.snaplogic.scripting.language import ScriptHook
import java.util.HashMap
import time
import os
import platform
 
class TransformScript(ScriptHook):
    def __init__(self, input, output, error, log):
        self.input = input
        self.output = output
        self.error = error
        self.log = log

    # The "execute()" method is called once when the pipeline is started
    # and allowed to process its inputs or just send data to its outputs.
    def execute(self):
        self.log.info("Executing Transform script")
        while self.input.hasNext():
            # Read the next document, wrap it in a map and write out the wrapper
            in_doc = self.input.next()
            time.sleep(120)
            map = java.util.HashMap()
            map.put("OS",platform.system())
            map.put("uname",platform.uname())
            self.output.write(map)
        self.log.info("Finished executing the Transform script")

# The Script Snap will look for a ScriptHook object in the "hook"
# variable.  The snap will then call the hook's "execute" method.
hook = TransformScript(input, output, error, log)